#include "Teapot.h"

Teapot::Teapot (double s)
{
	size = s;
}

Teapot::~Teapot ()
{
	// don't do anything
}

void Teapot::Draw ()
{
	// additional rotation required (to make the positive x-axis the main direction)
	glRotatef (90, 1.0f, 0.0f, 0.0f);
	
	glColor4fv (color),

	glutSolidTeapot (size);

	// undo rotation
	glRotatef (270, 1.0f, 0.0f, 0.0f);
}

double Teapot::GetBoundingRadius ()
{
	return size * 2;
}

BoundingBox Teapot::GetBoundingBox ()
{
	BoundingBox result;

	result.xmin = -size * 1.7;
	result.xmax = size * 1.7;
	result.ymin = -size;
	result.ymax = size;
	result.zmin = -size * 0.9;
	result.zmax = size * 0.9;

	return result;


}